
%global commit_hash 52af1f2
%global tag_hash f2d7914
%global sofile_version 1.2

Name:    jffi
Version: 1.2.6
Release: %mkrel 2
Summary: An optimized Java interface to libffi 

Group:   Development/Java
License: LGPLv3+ or ASL 2.0
URL:     http://github.com/jnr/%{name}/
Source0: https://github.com/jnr/%{name}/tarball/%{version}/jnr-%{name}-%{version}-0-g%{commit_hash}.tar.gz
Patch0:  jffi-fix-dependencies-in-build-xml.patch
Patch1:  jffi-add-built-jar-to-test-classpath.patch
Patch2:  jffi-fix-compilation-flags.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: libffi-devel

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: junit4

Requires: java
Requires: jpackage-utils

%description
An optimized Java interface to libffi 

%prep
%setup -q -n jnr-%{name}-%{tag_hash}
%patch0
%patch1
%patch2

# ppc{,64} fix
# https://bugzilla.redhat.com/show_bug.cgi?id=561448#c9
sed -i.cpu -e '/m\$(MODEL)/d' jni/GNUmakefile libtest/GNUmakefile
%ifnarch %{ix86} x86_64
rm -rf test/
%endif

# remove random executable bit
chmod 0644 jni/jffi/jffi.h

# remove uneccessary directories
rm -rf archive/* jni/libffi/ jni/win32/ lib/CopyLibs/ lib/junit*

find ./ -name '*.jar' -exec rm -f '{}' \; 
find ./ -name '*.class' -exec rm -f '{}' \; 

%build
build-jar-repository -s -p lib/ junit

ant -Duse.system.libffi=1

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_jnidir}/

cp -p dist/%{name}-complete.jar $RPM_BUILD_ROOT%{_jnidir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml  \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%check
# don't fail on unused parameters... (TODO: send patch upstream)
sed -i 's|-Werror||' libtest/GNUmakefile
ant -Duse.system.libffi=1 test

%files
%doc COPYING.GPL COPYING.LESSER LICENSE
%{_jnidir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.2.6-2.mga4
+ Revision: 537270
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 1.2.6-1.mga4
+ Revision: 486667
- New version

  + joequant <joequant>
    - remove java-nodeps from buildrequires

* Mon Aug 06 2012 luigiwalser <luigiwalser> 1.0.10-0.0.5874d2a.3.mga3
+ Revision: 279053
- remove invalid compiler option
- rebuild for libffi

* Sat Feb 25 2012 dmorgan <dmorgan> 1.0.10-0.0.5874d2a.2.mga2
+ Revision: 214246
- Rebuild for new pom
- Fix groups
- New version 1.0.10 snapshot
- Clean spec file

  + gil <gil>
    - update to 1.0.10
     add maven pom
    - cleanup
    - update to 1.0.9
    - update to 1.0.9
    - imported package jffi

